%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  sftrack
%global packver   0.5.4
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.5.4
Release:          1%{?dist}%{?buildtag}
Summary:          Modern Classes for Tracking and Movement Data

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.2.0
Requires:         R-core >= 3.2.0
BuildArch:        noarch
BuildRequires:    R-CRAN-sf 
Requires:         R-CRAN-sf 

%description
Modern classes for tracking and movement data, building on 'sf' spatial
infrastructure, and early theoretical work from Turchin (1998, ISBN:
9780878938476), and Calenge et al. (2009)
<doi:10.1016/j.ecoinf.2008.10.002>. Tracking data are series of locations
with at least 2-dimensional spatial coordinates (x,y), a time index (t),
and individual identification (id) of the object being monitored; movement
data are made of trajectories, i.e. the line representation of the path,
composed by steps (the straight-line segments connecting successive
locations). 'sftrack' is designed to handle movement of both living
organisms and inanimate objects.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
